<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreFormWeb extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.

     * @return array
     */
    public function rules()
    {
        return [
                'profile_id'   => ['required'],
                'title'        => ['required'],
                'description'  => ['required'],
                'web_link'      =>['required']

               ];
    }


    public function messages()
    {
        return [
            'profile_id.required'   => 'Seleccione Perfil relacionado a la tarea.',
            'description.required'  => 'El campo Requerimiento es requerido.',
            'title.required'        => 'El campo Título es requerido.',
            'web_link.required' => 'El campo Link es requerido.'
        ];
    }
}
